Nemožnost instalace pluginů jako admin

Úvodní stránka Fórum podpory WordPressu Problémy s WordPressem Nemožnost instalace pluginů jako admin

Zvolené téma obsahuje celkem 21 odpovědí. Do diskuze (3 účastníci) se naposledy zapojil uživatel  admin a poslední změna je stará 1 rok, 3 měsíce.

Aktuálně je na stránce zobrazeno 20 příspěvků - 1. až 20. (z celkem 22)
  • Autor
    Příspěvky
  • #29029

    vaclav
    Participant

    Ahoj všichni,

    objevil se mi nemilý problém. Z ničeho nic nemohu instalovat žádné nové pluginy, i když jsem administrátor wp.

    Jediné, co jsem aktualizoval byl wordpress a šablony, které ale nepoužívám.

    Zkoušel jsem to opravit v databázi přímo, tam je to v pořádku.

    Ale stále nic, bud vděčný za jakoukoliv radu.

    Václav

    #29031

    admin
    Keymaster
    Web

    Objevuje se nějaká chyba? Nebo jak nemůžete pluginy instalovat? Zkoušel jste deaktivovat všechny pluginy a pro jistotu i nasadit výchozí šablonu Twenty Sixteen?

    #29034

    vaclav
    Participant

    Žádná chyba nikde se nepíše. Jednoduše menu Pluginy nemá žádné podmenu. Vypíšou se instalované pluginy, které mohu jen aktivovat nebo deaktivovat. Totéž platí o aktualizaci wordpressu, nahoře mi to píše, že je nová verze, ať dám vědět administrátorovi, aby to aktualizoval, ale já sám administrátor jsem…

    Tváří se to tak, jako kdybych neměl plná admin práva, ale to není pravda.

    Výchozí šablonu jsem nezkoušel, zkusím. Deaktivace pluginů nepomohla.

    V.

    #29035

    vaclav
    Participant

    Tak ani změna té šablony nepřinese žádnou změnu…

    #29043

    admin
    Keymaster
    Web

    @vaclav: Co se stane, když zkusíte v administraci zobrazit stránku pro instalaci pluginů http://mojedomena.cz/wp-admin/plugin-install.php?

    Můžete ještě zkusit vytvořit nového uživatele s administrátorskými právy a přihlásit se pod jeho jménem, abychom viděli, zda bude mít k instalaci pluginů přístup? Je třeba zjistit, zda byla jen nějak “poškozena” uživatelská práva pro současného administrátora nebo je to nějaká obecná chyba.

    Nepoužíváte nějaký plugin pro úpravy uživatelských oprávnění nebo pokročilou správu uživatelů?

    Není web součástí sítě webů (Multisite)?

    #29045

    vaclav
    Participant

    Dobrý den,

    pokus o zobrazení stránky https://www.separatista.net/forum/tema/nemoznost-instalace-pluginu-jako-admin/#post-29043

    po mě chce nové/další přihlášení

    Problém se týká všech účtů administrátor, minulých i nově vytvořených.

    Všechny pluginy mám vypnuté, žádný navíc s uživatelskými rávy nepracuje.

    Multisite jsem nikdy neinstaloval…

    dmin práva jsem “opravoval” znovu přepsáním záznamu v DB v tabulce pro uživatele dle doporučení přímo z wordpress.org, ale žádnou změnu to nepřineslo…

    :-(

    V.

    #29046

    admin
    Keymaster
    Web

    Nápady pomalu docházejí :-(

    Nějaké chybové hlášky v error logu nejsou?

    Nemůže být na serveru třeba zaplněný prostor (ale to by se podmenu zobrazovalo, jen by nešlo instalovat pluginy)?

    Podobný problém jsem dohledal ještě zde (bohužel nedořešeno).

    Vyřešit by to určitě šlo, ale potřeboval bych přístupy do administrace + FTP. Možná bude potřeba detailní debugging, abych zjistil, kde je ukrytá příčina problému (to už by ale byla placená zakázka).

    #29050

    vaclav
    Participant

    A kolik byste za to očekával peněz?

    VN

    #29055

    admin
    Keymaster
    Web

    Bohužel se to těžko předem odhaduje, může to být za čtvrt hodiny vyřešené nebo to může trvat klidně i několik hodin, když je tam nějaká složitější příčina, průměrně je to ale několik set Kč (+ DPH), v případě zájmu se ozvěte. Pokud nepomohla deaktivace pluginů a šablony, tak tam bude někde něco podivného a bohužel mě nic dalšího nenapadá (ani jsem nic nenašel)… Začít můžete sám debuggingem uživatelských oprávnění, aneb proč chybí zrovna oprávnění install_plugins, ale těžko říci, kam to povede. Na první pohled mi to připadá, jako by byl web součástí sítě webů (Multisite), ale pokud nebyla instalována, tak to asi není možné…

    Šablony instalovat můžete?

    #29068

    vaclav
    Participant

    Šablony také ne.

    Jak se pozná, zda je to multisite? Instaloval jsem to před X lety, nikdy s tím nebyla potíž. Pak jsem dělal jenom aktualizace a najednou tohleto…

    #29069

    admin
    Keymaster
    Web

    V souboru wp-config.php by mělo být třeba toto:

    define( 'WP_ALLOW_MULTISITE', true );

    Další možností (viz chybějící možnost aktualizace) je, že prostě nějakým záhadným způsobem nejste administrátor.

    Z jak staré verze WordPressu jste aktualizoval?

    #29111

    vaclav
    Participant

    definice define( 'WP_ALLOW_MULTISITE'... v souboru wp-config.php vůbec není.

    aktuálně je tam wp verze 4.5.3, jaká verze byla předtím, netuším

    mám to tušení, že prostě z nějakého důvodu ta amin práva nefugují, i když v db jsou správně nastavená….

    je to prostě záhada

    #29113

    admin
    Keymaster
    Web

    :-)

    Zkusil bych aktualizovat na nejnovější verzi WordPressu a pak to pořádně debuggovat. Udělejte si pro jistotu zálohu a pošlete mi přístupové údaje. Nic víc mě bohužel už v tuto chvíli nenapadá…

    Pokud jste něco upravoval v databázi, tak by to mohlo být způsobeno i tím, ale pak by už zase museli fungovat nově vytvoření administrátoři…

    #29115

    vaclav
    Participant

    No to by určitě pomohlo, ale já nemohu aktualizaci WP udělat. Píše mi to doslova:

    Nový WordPress 4.6.1 je dostupný! Upozorněte prosím administrátora webu na potřebu aktualizace.

    Změnu v databázi jsem dělal až po zjištění, že nemám admin práva. Tím to určitě nebude.

    #29119

    admin
    Keymaster
    Web

    Aktualizovat můžete i ručně, stačí stáhnout aktuální balíček (např. počeštěný WordPress 4.6, viz modrý odkaz v pravém postranním panelu) a soubory nahrát (nahradit) na FTP. Aktualizace na WordPress 4.6.1 pak proběhne automaticky sama o sobě…

    #29133

    vaclav
    Participant

    s databází se nic neděje během aktualizace?

    skutečně to stačí takto jednoduše nahradit?

    V.Němeček

    #29143

    admin
    Keymaster
    Web

    Ano, je možné, že po přepsání souborů z nové verze dojde při prvním načtení webu ještě k automatické aktualizaci databáze. Nejvhodnější je asi na chvíli zcela odstavit web, aby nedocházelo k chybám (chvíli tam budou nějaké staré i nové soubory dohromady), např. pomocí souboru .maintenance.

    Kompletní záloha je pro každý případ doporučena :-) Už si ale ani nepamatuji, kdy jsem ji naposledy potřeboval kvůli nějaké nepovedené aktualizaci WordPressu…

    #29600

    admin
    Keymaster
    Web

    @vaclav: Podařilo se to nakonec nějak dořešit? Nedávno se nám objevil další uživatel s podobným problémem, tak zkouším, jestli mu třeba něco neporadíte :-)

    #35518

    Gerry
    Participant
    Web

    Absence odkazů Aktualizace, Instalace pluginů a Editor v administraci může způsobovat řádka (č. 17) define('DISALLOW_FILE_MODS',true); ve wp-settings.php. Objevil jsem to na jednom webu, který jsem rozcházel po hacknutí. Stačilo řádku zakomentovat. /*define('DISALLOW_FILE_MODS',true);*/

    #35524

    admin
    Keymaster
    Web

    Díky @gerry, to mě nenapadlo (tuto konstantu moc nepoužívám), doplním ještě odkaz na dokumentaci. Podobné restrikce mají také různé bezpečnostní pluginy, ale těžko říci, @vaclav nám zatím neodpověděl…

Aktuálně je na stránce zobrazeno 20 příspěvků - 1. až 20. (z celkem 22)

Pokud chcete odpovědět na toto téma, musíte se nejdříve přihlásit.